Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.element
Class CodedValueType

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType

Direct Known Subclasses:
  AuditActiveParticipantRoleID, AuditEventID, AuditEventTypeCode, AuditParticipantObjectIDTypeCode, SecurityAlertTypeCode

    public class CodedValueType

extends java.lang.Object

Java class for CodedValueType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CodedValueType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attGroup ref="{}CodeSystem"/>
           <attribute name="code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="displayName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="originalText" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`static java.lang.String` | `DB_Coded_Value_Type`

Constructor Summary
`CodedValueType()`

Method Summary
`java.lang.String` | `getCode()` Gets the value of the code property.
`java.lang.String` | `getCodeSystem()` Gets the value of the codeSystem property.
`java.lang.String` | `getCodeSystemName()` Gets the value of the codeSystemName property.
`java.lang.String` | `getDisplayName()` Gets the value of the displayName property.
`java.lang.String` | `getOriginalText()` Gets the value of the originalText property.
`boolean` | `isValidElement(org.w3c.dom.Element el)`
`void` | `parse(org.w3c.dom.Element el)`
`void` | `setCode(java.lang.String value)` Sets the value of the code property.
`void` | `setCodeSystem(java.lang.String value)` Sets the value of the codeSystem property.
`void` | `setCodeSystemName(java.lang.String value)` Sets the value of the codeSystemName property.
`void` | `setDisplayName(java.lang.String value)` Sets the value of the displayName property.
`void` | `setOriginalText(java.lang.String value)` Sets the value of the originalText property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_Coded_Value_Type

    public static java.lang.String DB_Coded_Value_Type

Constructor Detail

### CodedValueType

    public CodedValueType()

Method Detail

### getCode

    public java.lang.String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(java.lang.String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the value of the displayName property.

  Returns:
    possible object is `String`

### setDisplayName

    public void setDisplayName(java.lang.String value)

  Sets the value of the displayName property.

  Parameters:
    `value` - allowed object is `String`

### getOriginalText

    public java.lang.String getOriginalText()

  Gets the value of the originalText property.

  Returns:
    possible object is `String`

### setOriginalText

    public void setOriginalText(java.lang.String value)

  Sets the value of the originalText property.

  Parameters:
    `value` - allowed object is `String`

### getCodeSystem

    public java.lang.String getCodeSystem()

  Gets the value of the codeSystem property.

  Returns:
    possible object is `String`

### setCodeSystem

    public void setCodeSystem(java.lang.String value)

  Sets the value of the codeSystem property.

  Parameters:
    `value` - allowed object is `String`

### getCodeSystemName

    public java.lang.String getCodeSystemName()

  Gets the value of the codeSystemName property.

  Returns:
    possible object is `String`

### setCodeSystemName

    public void setCodeSystemName(java.lang.String value)

  Sets the value of the codeSystemName property.

  Parameters:
    `value` - allowed object is `String`

### isValidElement

    public boolean isValidElement(org.w3c.dom.Element el)

### parse

    public void parse(org.w3c.dom.Element el)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD